Name:           zaz
Version:        1.0.0
Release:        %mkrel 3
Summary:        A puzzle game where the player has to arrange balls in triplets
Group:          Games/Arcade
# Music released under CC-BY-SA
License:        GPLv3+ and CC-BY-SA
URL:            http://sourceforge.net/projects/zaz/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
BuildRequires: libMesaGL-devel
BuildRequires: libSDL_image-devel
BuildRequires: libtheora-devel
BuildRequires: libvorbis-devel
BuildRequires: libftgl-devel
BuildRequires: gettext
BuildRequires: desktop-file-utils

%description
Zaz is an arcade action puzzle game where the goal is to get rid of all 
incoming balls by rearranging their order and making triplets.
It currently includes 6 different levels. The game's name is recursive and 
stands for "Zaz ain't Z".

A 3D accelerator is needed for decent gameplay.


%prep
%setup -q

# Fix permissions
chmod 644 src/*.{cpp,h}

%build
%configure

%make

%install
%makeinstall_std

# Symlink system fonts
#rm $RPM_BUILD_ROOT%{_datadir}/%{name}/data/FreeMonoBold.ttf
#ln -s %{_datadir}/fonts/gnu-free/FreeMonoBold.ttf \
#    $RPM_BUILD_ROOT%{_datadir}/%{name}/data/FreeMonoBold.ttf
#rm $RPM_BUILD_ROOT%{_datadir}/%{name}/FreeSans.ttf
#ln -s %{_datadir}/fonts/gnu-free/FreeSans.ttf \
#   $RPM_BUILD_ROOT%{_datadir}/%{name}/FreeSans.ttf
#m $RPM_BUILD_ROOT%{_datadir}/%{name}/font1.ttf
#n -s %{_datadir}/fonts/oflb-dignas-handwriting/phranzysko_-_Digna_s_Handwriting.ttf \
#   $RPM_BUILD_ROOT%{_datadir}/%{name}/font1.ttf

# Remove docs
rm -r $RPM_BUILD_ROOT/usr/share/doc/

# Fix desktop file
desktop-file-install \
   --delete-original \
   --add-category LogicGame \
   --dir $RPM_BUILD_ROOT%{_datadir}/applications/ \
   $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.xpm
#{_datadir}/%{name}/FreeMonoBold.ttf
#{_datadir}/%{name}/FreeSans.ttf
%doc AUTHORS ChangeLog COPYING data/copyright.txt


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 1.0.0-3.mga3
+ Revision: 387660
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 11 2012 kamil <kamil> 1.0.0-2.mga3
+ Revision: 329451
- clean .spec
- imported package zaz

